using System;

internal sealed class Delegate508 : MulticastDelegate
{
	public extern bool Invoke(string string_0);

	public static bool smethod_0(string string_0, Delegate508 delegate508_1)
	{
		return delegate508_1(string_0);
	}

	public extern Delegate508(object object_0, IntPtr intptr_0);

	static Delegate508()
	{
		Class10.smethod_13(typeof(Delegate508).TypeHandle);
	}

	internal static Delegate508 delegate508_0;
}
